package Graphe;
import java.util.*;
public class testcouleur {
	
	public static String[] miseEnForme(String s) {
		String[] t = s.split(" |	|\r\n");
		ArrayList<String> tab = new ArrayList<String>();
		String temp;
		int i = 0;
		while(i<t.length-2) {
			temp = "r"+t[i]+"g"+t[i+1]+"b"+t[i+2];
			tab.add(temp);
			//System.out.println(i+" : "+temp);
			i+=3;
		}//while i
		String[] t2 = new String[tab.size()];
		for(int j = 0; j<tab.size();j++) {
			t2[j]=tab.get(j);
		}//for j
		return t2;
	}
	
	public static void main(String[] args) {
		String liste = "255 255 255	255 250 250	255 232 239	244 240 255\r\n" + 
				"255 255 204	255 242 200	255 223 200	253 239 255\r\n" + 
				"255 255 153	255 237 162	255 218 173	255 234 249\r\n" + 
				"255 255 102	255 234 134	255 215 157	255 230 245\r\n" + 
				"255 255 051	255 233 117	255 213 148	255 229 243\r\n" + 
				"255 255 000	255 232 113	255 213 146	255 228 242\r\n" + 
				"255 204 255	207 215 255	225 216 253	251 209 225\r\n" + 
				"255 204 204	222 216 210	241 210 203	255 202 216\r\n" + 
				"255 204 153	229 214 157	252 205 153	255 196 209\r\n" + 
				"255 204 102	233 212 105	255 202 111	255 192 205\r\n" + 
				"255 204 051	236 212 053	255 200 087	255 191 202\r\n" + 
				"255 204 000	236 211 015	255 199 080	255 190 202\r\n" + 
				"255 153 255	170 189 255	176 188 249	246 169 181\r\n" + 
				"255 153 204	177 184 224	197 181 199	252 159 170\r\n" + 
				"255 153 153	189 182 168	210 176 149	255 153 162\r\n" + 
				"255 153 102	196 180 112	218 172 098	255 149 158\r\n" + 
				"255 153 051	199 180 058	222 171 042	255 148 157\r\n" + 
				"255 153 000	200 179 023	223 170 000	255 148 156\r\n" + 
				"255 102 255	152 178 255	133 167 245	242 135 145\r\n" + 
				"255 102 204	130 160 246	160 159 195	248 121 129\r\n" + 
				"255 102 153	153 157 185	177 153 146	253 110 116\r\n" + 
				"255 102 102	165 155 124	187 149 094	255 102 108\r\n" + 
				"255 102 051	170 154 066	191 147 034	255 101 106\r\n" + 
				"255 102 000	172 154 030	192 147 000	255 101 105\r\n" + 
				"255 051 255	150 177 255	103 155 242	240 113 120\r\n" + 
				"255 051 204	119 157 255	138 146 193	247 094 099\r\n" + 
				"255 051 153	122 142 206	157 139 143	251 076 079\r\n" + 
				"255 051 102	143 140 139	167 135 092	254 061 062\r\n" + 
				"255 051 051	152 139 074	173 132 028	255 051 050\r\n" + 
				"255 051 000	154 139 035	174 134 000	255 051 049\r\n" + 
				"255 000 255	150 177 255	094 152 241	240 106 113\r\n" + 
				"255 000 204	123 160 255	131 143 192	246 085 090\r\n" + 
				"255 000 153	110 137 215	151 136 142	250 064 066\r\n" + 
				"255 000 102	136 136 146	162 131 091	253 043 040\r\n" + 
				"255 000 051	147 135 078	168 128 026	254 026 000\r\n" + 
				"255 000 000	150 135 038	169 130 000	254 028 000\r\n" + 
				"204 255 255	248 244 248	255 234 253	203 239 255\r\n" + 
				"204 255 204	255 241 197	255 222 204	211 239 255\r\n" + 
				"204 255 153	255 235 151	255 216 171	217 238 255\r\n" + 
				"204 255 102	255 232 115	255 212 151	221 238 255\r\n" + 
				"204 255 051	255 231 092	255 211 140	224 238 255\r\n" + 
				"204 255 000	255 230 085	255 211 137	224 238 255\r\n" + 
				"204 204 255	196 206 255	203 204 255	198 209 225\r\n" + 
				"204 204 204	207 203 203	222 198 205	206 202 217\r\n" + 
				"204 204 153	215 201 151	234 193 155	211 196 211\r\n" + 
				"204 204 102	219 199 100	241 190 106	215 193 207\r\n" + 
				"204 204 051	221 198 049	245 188 059	216 191 205\r\n" + 
				"204 204 000	221 198 000	246 198 000	217 190 204\r\n" + 
				"204 153 255	152 177 255	143 174 251	191 169 182\r\n" + 
				"204 153 204	158 168 215	170 167 201	199 159 171\r\n" + 
				"204 153 153	170 165 160	186 161 152	205 152 162\r\n" + 
				"204 153 102	177 164 106	196 157 101	208 146 157\r\n" + 
				"204 153 051	181 163 054	201 155 050	210 144 154\r\n" + 
				"204 153 000	181 162 014	202 154 000	211 143 153\r\n" + 
				"204 102 255	135 167 255	076 151 246	187 135 145\r\n" + 
				"204 102 204	100 140 235	123 141 197	195 121 130\r\n" + 
				"204 102 153	127 136 175	145 134 148	201 110 117\r\n" + 
				"204 102 102	140 134 117	158 129 097	204 101 108\r\n" + 
				"204 102 051	146 133 060	164 126 043	206 096 103\r\n" + 
				"204 102 000	148 132 021	166 127 000	207 095 101\r\n" + 
				"204 051 255	138 170 255	000 141 239	184 113 120\r\n" + 
				"204 051 204	067 135 255	087 126 194	193 094 100\r\n" + 
				"204 051 153	082 117 200	118 117 145	198 076 080\r\n" + 
				"204 051 102	112 115 135	133 111 095	202 061 063\r\n" + 
				"204 051 051	123 113 070	140 108 039	204 051 052\r\n" + 
				"204 051 000	126 113 027	143 109 000	204 048 048\r\n" + 
				"204 000 255	140 171 255	000 140 236	183 106 113\r\n" + 
				"204 000 204	093 145 255	075 122 192	192 085 090\r\n" + 
				"204 000 153	053 111 213	110 113 144	198 064 067\r\n" + 
				"204 000 102	100 109 144	126 106 094	202 043 043\r\n" + 
				"204 000 051	116 108 076	133 103 038	203 023 011\r\n" + 
				"204 000 000	120 108 030	136 105 000	204 022 000\r\n" + 
				"153 255 255	239 236 244	244 228 255	166 239 255\r\n" + 
				"153 255 204	247 233 193	255 221 208	172 239 255\r\n" + 
				"153 255 153	251 231 144	255 214 169	176 238 255\r\n" + 
				"153 255 102	254 230 094	255 210 145	180 238 255\r\n" + 
				"153 255 051	255 229 050	255 209 132	181 237 255\r\n" + 
				"153 255 000	255 228 028	255 208 128	182 237 255\r\n" + 
				"153 204 255	185 197 250	185 196 255	145 209 225\r\n" + 
				"153 204 204	196 193 198	206 189 207	156 202 217\r\n" + 
				"153 204 153	203 191 147	219 184 157	163 196 211\r\n" + 
				"153 204 102	207 189 097	228 181 108	168 193 207\r\n" + 
				"153 204 051	209 188 047	232 179 063	170 191 205\r\n" + 
				"153 204 000	210 188 000	233 178 042	171 190 205\r\n" + 
				"153 153 255	131 164 255	111 164 253	134 169 182\r\n" + 
				"153 153 204	143 156 206	146 155 204	146 159 171\r\n" + 
				"153 153 153	155 152 153	166 148 154	154 151 163\r\n" + 
				"153 153 102	162 150 101	178 144 104	159 146 157\r\n" + 
				"153 153 051	165 149 050	183 142 055	162 144 154\r\n" + 
				"153 153 000	166 149 000	166 149 000	162 143 153\r\n" + 
				"153 102 255	112 155 255	000 144 243	126 135 145\r\n" + 
				"153 102 204	073 123 223	080 127 199	140 121 130\r\n" + 
				"153 102 153	106 119 165	115 118 150	148 109 117\r\n" + 
				"153 102 102	120 116 109	132 112 100	154 101 108\r\n" + 
				"153 102 051	126 114 055	140 109 049	156 096 103\r\n" + 
				"153 102 000	127 114 013	142 108 000	157 095 102\r\n" + 
				"153 051 255	125 162 255	000 141 232	122 112 120\r\n" + 
				"153 051 204	000 122 246	000 115 194	136 093 100\r\n" + 
				"153 051 153	000 094 191	073 097 146	145 076 081\r\n" + 
				"153 051 102	080 091 128	098 089 097	150 061 064\r\n" + 
				"153 051 051	095 089 065	108 085 045	153 051 053\r\n" + 
				"153 051 000	099 089 019	112 086 000	154 048 050\r\n" + 
				"153 000 255	131 166 255	000 140 229	121 106 113\r\n" + 
				"153 000 204	039 130 255	000 115 192	135 085 091\r\n" + 
				"153 000 153	000 103 208	056 091 144	144 064 068\r\n" + 
				"153 000 102	057 083 143	087 083 095	150 043 044\r\n" + 
				"153 000 051	085 081 074	099 078 044	152 022 018\r\n" + 
				"153 000 000	090 081 023	103 079 000	153 017 000\r\n" + 
				"102 255 255	234 231 240	235 223 255	136 239 255\r\n" + 
				"102 255 204	241 228 191	255 221 211	139 239 255\r\n" + 
				"102 255 153	246 226 141	255 213 167	142 238 255\r\n" + 
				"102 255 102	248 225 093	255 208 139	144 238 255\r\n" + 
				"102 255 051	250 224 042	255 207 124	146 237 255\r\n" + 
				"102 255 000	250 224 000	255 206 121	146 237 255\r\n" + 
				"102 204 255	178 190 245	173 190 255	087 209 225\r\n" + 
				"102 204 204	189 187 193	195 183 209	107 202 217\r\n" + 
				"102 204 153	196 184 143	210 178 159	119 196 211\r\n" + 
				"102 204 102	200 182 094	218 174 110	126 193 207\r\n" + 
				"102 204 051	202 181 045	223 172 066	129 191 205\r\n" + 
				"102 204 000	202 181 000	224 172 046	130 190 205\r\n" + 
				"102 153 255	110 152 254	081 156 254	062 169 182\r\n" + 
				"102 153 204	133 147 199	128 147 205	090 159 171\r\n" + 
				"102 153 153	145 143 147	151 140 156	105 151 163\r\n" + 
				"102 153 102	152 140 097	164 135 106	113 146 157\r\n" + 
				"102 153 051	155 139 047	170 133 059	116 144 154\r\n" + 
				"102 153 000	155 139 000	172 132 033	117 143 154\r\n" + 
				"102 102 255	081 141 255	000 144 238	034 135 145\r\n" + 
				"102 102 204	050 110 213	000 118 201	077 121 130\r\n" + 
				"102 102 153	089 105 156	088 106 152	094 109 117\r\n" + 
				"102 102 102	104 102 102	111 099 103	103 101 108\r\n" + 
				"102 102 051	109 100 050	121 095 053	107 096 103\r\n" + 
				"102 102 000	111 099 000	123 094 017	108 095 102\r\n" + 
				"102 051 255	110 154 255	000 140 228	000 113 121\r\n" + 
				"102 051 204	000 116 234	000 118 194	068 093 100\r\n" + 
				"102 051 153	000 089 180	000 089 149	088 076 081\r\n" + 
				"102 051 102	050 070 118	061 071 099	098 061 065\r\n" + 
				"102 051 051	070 067 058	079 064 049	102 051 054\r\n" + 
				"102 051 000	074 066 011	083 064 000	103 048 051\r\n" + 
				"102 000 255	122 161 255	000 139 225	000 107 115\r\n" + 
				"102 000 204	000 124 248	000 118 191	066 084 091\r\n" + 
				"102 000 153	000 101 202	000 090 148	086 063 068\r\n" + 
				"102 000 102	000 071 142	037 061 096	096 043 045\r\n" + 
				"102 000 051	050 055 072	063 053 047	101 022 021\r\n" + 
				"102 000 000	060 054 015	069 053 000	102 011 000\r\n" + 
				"051 255 255	231 229 239	231 221 255	116 239 255\r\n" + 
				"051 255 204	238 226 189	252 219 212	118 239 255\r\n" + 
				"051 255 153	243 223 140	255 212 166	120 238 255\r\n" + 
				"051 255 102	245 222 092	255 207 136	121 238 255\r\n" + 
				"051 255 051	247 221 041	255 205 120	122 237 255\r\n" + 
				"051 255 000	247 221 000	255 205 116	122 237 255\r\n" + 
				"051 204 255	174 187 242	167 187 255	000 209 224\r\n" + 
				"051 204 204	185 183 191	189 180 209	062 202 217\r\n" + 
				"051 204 153	192 180 142	204 174 160	084 196 211\r\n" + 
				"051 204 102	196 178 093	214 171 111	094 193 207\r\n" + 
				"051 204 051	198 178 044	218 169 067	099 191 205\r\n" + 
				"051 204 000	198 177 000	219 168 048	100 191 215\r\n" + 
				"051 153 255	105 147 250	057 153 255	000 171 183\r\n" + 
				"051 153 204	127 142 195	117 143 206	000 160 172\r\n" + 
				"051 153 153	140 138 144	143 135 157	057 151 163\r\n" + 
				"051 153 102	146 135 094	157 130 107	073 146 157\r\n" + 
				"051 153 051	149 134 046	164 128 060	079 144 154\r\n" + 
				"051 153 000	149 134 000	165 134 000	081 143 154\r\n" + 
				"051 102 255	037 129 255	000 144 236	000 144 153\r\n" + 
				"051 102 204	032 103 205	000 120 201	000 127 135\r\n" + 
				"051 102 153	080 097 149	067 099 154	020 109 118\r\n" + 
				"051 102 102	094 093 097	097 091 104	053 101 109\r\n" + 
				"051 102 051	100 091 047	109 087 055	063 096 104\r\n" + 
				"051 102 000	101 091 000	112 086 023	065 095 102\r\n" + 
				"051 051 255	096 148 255	000 140 226	000 129 135\r\n" + 
				"051 051 204	000 112 225	000 120 194	000 106 112\r\n" + 
				"051 051 153	000 084 170	000 093 153	000 080 086\r\n" + 
				"051 051 102	025 055 106	000 059 101	038 060 065\r\n" + 
				"051 051 051	052 051 051	055 049 051	051 050 054\r\n" + 
				"051 051 000	055 050 000	061 047 009	054 048 051\r\n" + 
				"051 000 255	115 157 255	000 139 223	000 124 130\r\n" + 
				"051 000 204	000 121 242	000 118 191	000 100 105\r\n" + 
				"051 000 153	000 098 196	000 093 150	000 071 075\r\n" + 
				"051 000 102	000 070 139	000 063 103	033 042 045\r\n" + 
				"051 000 051	000 036 072	019 030 048	048 021 023\r\n" + 
				"051 000 000	030 027 008	034 026 000	051 006 000\r\n" + 
				"000 255 255	230 228 238	230 220 255	110 239 255\r\n" + 
				"000 255 204	237 225 189	251 218 212	112 239 255\r\n" + 
				"000 255 153	242 223 140	255 211 166	114 238 255\r\n" + 
				"000 255 102	245 221 092	255 207 135	115 238 255\r\n" + 
				"000 255 051	246 221 041	255 205 119	115 237 255\r\n" + 
				"000 255 000	246 220 000	255 205 114	115 237 255\r\n" + 
				"000 204 255	173 186 242	165 187 255	000 208 223\r\n" + 
				"000 204 204	184 182 191	187 179 209	041 202 217\r\n" + 
				"000 204 153	191 179 141	203 174 160	071 196 211\r\n" + 
				"000 204 102	195 178 093	212 170 111	084 193 207\r\n" + 
				"000 204 051	197 177 043	217 168 068	089 191 205\r\n" + 
				"000 204 000	197 176 000	218 168 049	090 191 205\r\n" + 
				"000 153 255	103 146 248	051 152 255	000 172 183\r\n" + 
				"000 153 204	126 141 194	114 142 207	000 161 172\r\n" + 
				"000 153 153	138 137 143	141 134 157	031 151 163\r\n" + 
				"000 153 102	144 134 094	155 129 108	057 146 157\r\n" + 
				"000 153 051	147 133 045	162 126 061	066 144 154\r\n" + 
				"000 153 000	148 133 000	163 126 037	068 143 154\r\n" + 
				"000 102 255	000 126 254	000 144 236	000 146 154\r\n" + 
				"000 102 204	026 102 204	000 120 201	000 130 138\r\n" + 
				"000 102 153	078 095 147	061 098 154	000 114 122\r\n" + 
				"000 102 102	092 091 095	094 090 105	021 101 109\r\n" + 
				"000 102 051	097 089 046	106 085 056	042 096 104\r\n" + 
				"000 102 000	099 088 000	109 084 024	045 095 102\r\n" + 
				"000 051 255	091 145 255	000 140 226	000 131 137\r\n" + 
				"000 051 204	000 111 222	000 120 194	000 111 116\r\n" + 
				"000 051 153	000 083 166	000 094 154	000 089 094\r\n" + 
				"000 051 102	013 051 102	000 062 104	000 067 071\r\n" + 
				"000 051 051	046 046 048	047 045 052	010 050 054\r\n" + 
				"000 051 000	049 044 000	054 042 012	023 048 051\r\n" + 
				"000 000 255	113 156 255	000 139 223	000 127 133\r\n" + 
				"000 000 204	000 120 240	000 118 190	000 106 110\r\n" + 
				"000 000 153	000 096 193	000 094 151	000 081 085\r\n" + 
				"000 000 102	000 068 135	000 065 104	000 055 057\r\n" + 
				"000 000 051	000 035 070	000 033 053	000 028 029\r\n" + 
				"000 000 000";
		//System.out.println(liste);
		String[] tab = miseEnForme(liste);
		for(int i = 0; i<tab.length; i++) {
			System.out.println(tab[i]+",");
		}
	
		
		
	}

}
